/*
*  SetupMain.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "SetupMain.h"
#include "UninstDlg.h"
#include "SetupDlg.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
  : TForm(Owner)
{
   Application->ShowMainForm = false;
   if (ExtractFileName(Application->ExeName).LowerCase()=="setup.exe" &&
         ParamStr(1).LowerCase()!="-u")
   {
      Application->Title = "QuickSilver Setup";
      SetupForm = new TSetupForm(this);
      SetupForm->ShowModal();
      delete SetupForm;
   }
   else
   {
      Application->Title = "QuickSilver Uninstall";
      UninstWiz = new TUninstWiz(this);
      UninstWiz->ShowModal();
      delete UninstWiz;
   }
   PostMessage(Handle,WM_QUIT,0,0L);
}
//---------------------------------------------------------------------------
