/*
*  UninstDlg.h
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#ifndef UninstDlgH
#define UninstDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\DdeMan.hpp>
//---------------------------------------------------------------------------
class TUninstWiz : public TForm
{
__published:	// IDE-managed Components
  TButton *BackBtn;
  TButton *NextBtn;
  TButton *CancelBtn;
  TDdeClientConv *DDEClient;
  TPanel *Panel1;
  TNotebook *Notebook;
  TLabel *Appname;
  TLabel *Label23;
  TLabel *Label24;
  TRichEdit *RichEdit7;
  TLabel *Label25;
  TLabel *Label26;
  TCheckBox *MixEntries;
  TCheckBox *AppEntries;
  TLabel *Label1;
  TLabel *Label2;
  TMemo *Memo1;
  TRichEdit *RichEdit1;
  TLabel *Label4;
  TLabel *Label6;
  TRichEdit *RichEdit2;
	TRichEdit *RichEdit3;
	TLabel *Label3;
	TLabel *Label5;
	TLabel *Label7;
	TLabel *Label9;
  void __fastcall NextBtnClick(TObject *Sender);
  void __fastcall BackBtnClick(TObject *Sender);
  
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall AppEntriesClick(TObject *Sender);
  void __fastcall MixEntriesClick(TObject *Sender);
private:	// User declarations
  void __fastcall WMSysCommand(TWMSysCommand &Msg);
public:		// User declarations
  AnsiString proggroup,appdir,mixdir,rmdirapp,releasever;
  bool domixfirst,doappfirst,mixkeyexists,appkeyexists;
  bool QSdone,MXdone;
  __fastcall TUninstWiz(TComponent* Owner);
  void __fastcall LoadReview();
  bool __fastcall RemoveProgGroup();
  bool __fastcall RemoveProgEntries();
  bool __fastcall RemoveProgFiles();
  bool __fastcall RemoveMixEntries();
  bool __fastcall RemoveMixFiles();
  void __fastcall TurnOff(TCheckBox *box);
  void __fastcall RemoveQuickSilver();
  void __fastcall RemoveMixmaster();
  void __fastcall RemoveSoftware();
  bool __fastcall MixInApp();  // mix in subdir of app
  bool __fastcall MixIsApp();  // mix in appdir
  bool __fastcall AppInMix();  // app in subdir of mix
  bool __fastcall MixIsSep();  // mix is separate from app
  bool __fastcall DeleteQuickSilverFiles(AnsiString &pathname);
  bool __fastcall DeleteMixmasterFiles(AnsiString &pathname);
  BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_SYSCOMMAND,TWMSysCommand,WMSysCommand)
  END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern TUninstWiz *UninstWiz;
//---------------------------------------------------------------------------
#endif
